Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:0889-1: moderate: PackageKit: only allow patches for regular updates
openSUSE Security Update: PackageKit: only allow patches for regular updates
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0889-1
Rating: moderate
References: #804983
Cross-References: CVE-2013-1764
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


The PackageKit zypp backend was fixed to only allow patches
to be updated. Otherwise a regular user could install new
packages or even downgrade older packages to ones with
security problems. (CVE-2013-1764)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-399

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

PackageKit-0.8.7-4.8.2
PackageKit-backend-zypp-0.8.7-4.8.2
PackageKit-backend-zypp-debuginfo-0.8.7-4.8.2
PackageKit-browser-plugin-0.8.7-4.8.2
PackageKit-browser-plugin-debuginfo-0.8.7-4.8.2
PackageKit-debuginfo-0.8.7-4.8.2
PackageKit-debugsource-0.8.7-4.8.2
PackageKit-devel-0.8.7-4.8.2
PackageKit-devel-debuginfo-0.8.7-4.8.2
PackageKit-gstreamer-plugin-0.8.7-4.8.2
PackageKit-gstreamer-plugin-debuginfo-0.8.7-4.8.2
PackageKit-gtk3-module-0.8.7-4.8.2
PackageKit-gtk3-module-debuginfo-0.8.7-4.8.2
libpackagekit-glib2-16-0.8.7-4.8.2
libpackagekit-glib2-16-debuginfo-0.8.7-4.8.2
libpackagekit-glib2-devel-0.8.7-4.8.2
typelib-1_0-PackageKitGlib-1_0-0.8.7-4.8.2
typelib-1_0-PackageKitPlugin-1_0-0.8.7-4.8.2

- openSUSE 12.3 (x86_64):

libpackagekit-glib2-16-32bit-0.8.7-4.8.2
libpackagekit-glib2-16-debuginfo-32bit-0.8.7-4.8.2
libpackagekit-glib2-devel-32bit-0.8.7-4.8.2

- openSUSE 12.3 (noarch):

PackageKit-branding-upstream-0.8.7-4.8.2
PackageKit-lang-0.8.7-4.8.2


References:

http://support.novell.com/security/cve/CVE-2013-1764.html
https://bugzilla.novell.com/804983


< Previous Next >
This Thread
  • No further messages